Name:           kicker-compiz
Version:        3.5.4
Release:        3%{?dist}
Summary:        Makes KDE kicker Pager applet work with compiz

Group:          User Interface/Desktops

License:        GPL
URL:            http://kde-apps.org/content/show.php?content=46021
Source0:        46021-kicker-compiz-3.5.4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel, automake
BuildRequires:	libXcomposite-devel
Requires:       kdebase

%description
This is a modified pager applet for kicker to make it
work with compiz. More generally, it is intended to
work with window managers that use the concept of
"large desktops" instead of "multiple virtual desktops"
as kwin does exclusively.
Once it is installed, use the kicker dialog to add a new applet,
and the pager will appear in the list (Right-click on kicker, 
then "add an applet to the panel" -> "Pager - Compiz")



%prep
%setup -q


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/kde3/compizpager_panelapplet.*
%{_datadir}/apps/kicker/applets/compizpagerapplet.desktop


%changelog
* Sun Jul 01 2007 Xavier Lamien < lxtnow@gmail.com > - 3.5.4-3
- managed %%Description and BR

* Sat Mar 24 2007 Xavier Lamien < lxtnow@gmail.com > - 3.5.4-2
- Added missing BuildRequires.
- Added timestamps from %%install stage.

* Sun Mar 03 2007 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org > - 3.5.4-1
- Initial package.
